name: field.blocks.video.name
icon: video
preview: video
fields:
  # url:
  #   label: field.blocks.video.url.label
  #   type: url
  #   placeholder: field.blocks.video.url.placeholder
  location:
    label: field.blocks.image.location
    type: radio
    columns: 2
    default: "kirby"
    options:
      kirby: "{{ t('field.blocks.image.location.internal') }}"
      web: "{{ t('field.blocks.image.location.external') }}"
  video:
    label: field.blocks.video.name
    type: files
    query: model.videos
    multiple: false
    video:
      back: black
    uploads:
      template: blocks/video
    when:
      location: kirby
  url:
    label: field.blocks.video.url.label
    type: url
    placeholder: field.blocks.video.url.placeholder
    when:
      location: web
  caption:
    label: field.blocks.video.caption
    type: writer
    inline: true
  

